﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace RealTimePlot
{
    public class ChartViewModel 
    {
       
        public ObservableCollection<Model> DataPoints1 { get; set; }

        public ObservableCollection<Model> DataPoints2 { get; set; }

        public ObservableCollection<Model> DataPoints3 { get; set; }

        public ObservableCollection<Model> DataPoints4 { get; set; }

        public ChartViewModel()
        {
          
            DataPoints1 = new ObservableCollection<Model>
            {
                new Model("2006", 28, false),
                new Model("2007", 25, false),
                new Model("2008", 30, false),
                new Model("2009", 28, false),
                new Model("2010", 32, false),
                new Model("2011", 35, false),
                new Model("2012", 30, true),
            };

            DataPoints2 = new ObservableCollection<Model>
            {
                new Model("2006", 32, false),
                new Model("2007", 28, false),
                new Model("2008", 32, false),
                new Model("2009", 36, false),
                new Model("2010", 34, false),
                new Model("2011", 38, false),
                new Model("2012", 37, true),
            };

            DataPoints3 = new ObservableCollection<Model>
            {
                new Model("2006", 36, false),
                new Model("2007", 34, false),
                new Model("2008", 33, false),
                new Model("2009", 38, false),
                new Model("2010", 40, false),
                new Model("2011", 41, false),
                new Model("2012", 39, true),
            };

            DataPoints4 = new ObservableCollection<Model>
            {
                new Model("2006", 38, false),
                new Model("2007", 36, false),
                new Model("2008", 40, false),
                new Model("2009", 44, false),
                new Model("2010", 46, false),
                new Model("2011", 47, false),
                new Model("2012", 45, true),
            };
        }
    }

    public class Model
    {
        public string XValue { get; set; }
        public double YValue { get; set; }
        public bool EnableDataMarker { get; set; }

        public Model(string xValue, double Value, bool enableMarker)
        {
            XValue = xValue;
            YValue = Value;
            EnableDataMarker = enableMarker;
        }
    }
}
